## net.sf.antcontrib.property
Class RegexUtil

    java.lang.Object
      net.sf.antcontrib.property.RegexUtil

    public class RegexUtil

extends java.lang.Object

Regular Expression utilities

Author:
  Matthew Inger

Constructor Summary
`RegexUtil()`

Method Summary
`static java.lang.String` `select(java.lang.String select, java.util.Vector groups)` Parse a select string, and merge it with a match groups vector to produce an output string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexUtil

    public RegexUtil()

Method Detail

### select

    public static java.lang.String select(java.lang.String select,
                                          java.util.Vector groups)

  Parse a select string, and merge it with a match groups vector to produce an output string. Each group placehold in the select string is replaced with the group at the corresponding index in the match groups vector

  Parameters:
    `select` - The select string
    `groups` - The match groups
  Returns:
    The output string with the merged selection